Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adoption.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adoption.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adoption.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -15,5 +15,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_adoption")
-    private int id;
+    private Integer id;
 
     @Column(name = "start_date", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Category.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Category.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Category.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,5 +12,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_category")
-    private int id;
+    private Integer id;
 
     @Column(name = "name_category", nullable = false, length = 100)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Food.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Food.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Food.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -13,5 +13,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_food")
-    private int id;
+    private Integer id;
 
     @Column(name = "manufacturer", nullable = false, length = 100)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Organisation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Organisation.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Organisation.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,5 +12,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_organisation")
-    private int id;
+    private Integer id;
 
     @Column(name = "name_organisation", nullable = false, length = 100)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/PersonalProfile.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/PersonalProfile.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/PersonalProfile.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -15,5 +15,5 @@
     @Id
     @Column(name = "id_pet", nullable = false)
-    private int id;
+    private Integer id;
 
     @Column(name = "friendly_to_kids", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -16,5 +16,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_pet")
-    private int id;
+    private Integer id;
 
     @Column(name = "url_pet_image", length = 200)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -15,5 +15,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_post")
-    private int id;
+    private Integer id;
 
     @Column(name="date_post", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,5 +12,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_shelter")
-    private int id;
+    private Integer id;
 
     @Column(name = "address_shelter", nullable = false, length = 100)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Therapy.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Therapy.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Therapy.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -15,5 +15,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_therapy")
-    private int id;
+    private Integer id;
 
     @Column(name = "health_problem", nullable = false, length = 100)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/User.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/User.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/User.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -16,5 +16,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_user")
-    protected int id;
+    protected Integer id;
 
     @Column(name = "date_created_user", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/VetClinic.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/VetClinic.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/VetClinic.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,5 +12,5 @@
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Column(name = "id_vet_clinic")
-    private int id;
+    private Integer id;
 
     @Column(name = "telephone_vet_clinic", nullable = false, length = 20)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,9 +12,9 @@
     @Id
     @Column(name="id_user", nullable = false)
-    private int userId;
+    private Integer userId;
 
     @Id
     @Column(name="id_organisation", nullable = false)
-    private int organisationId;
+    private Integer organisationId;
 
     public DonorDonatesToOrganisation(int userId, int organisationId) {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -8,6 +8,6 @@
 public class DonorDonatesToOrganisationId implements Serializable {
 
-    int userId;
-    int organisationId;
+    Integer userId;
+    Integer organisationId;
 
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,9 +12,9 @@
     @Id
     @Column(name="id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name="id_category", nullable = false)
-    private int categoryId;
+    private Integer categoryId;
 
     public PetBelongsToCategory(int petId, int categoryId) {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -8,6 +8,6 @@
 public class PetBelongsToCategoryId implements Serializable {
 
-    int petId;
-    int categoryId;
+    Integer petId;
+    Integer categoryId;
 
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -15,9 +15,9 @@
     @Id
     @Column(name = "id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name = "id_vet_clinic", nullable = false)
-    private int vetClinicId;
+    private Integer vetClinicId;
 
     @Column(name = "date_of_interventing", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -8,6 +8,6 @@
 public class PetNeedsInterventionInVetClinicId implements Serializable {
 
-    int petId;
-    int vetClinicId;
+    Integer petId;
+    Integer vetClinicId;
 
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,9 +12,9 @@
     @Id
     @Column(name="id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name="id_therapy", nullable = false)
-    private int therapyId;
+    private Integer therapyId;
 
     public PetNeedsTherapy(int petId, int therapyId) {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -8,6 +8,6 @@
 public class PetNeedsTherapyId implements Serializable {
 
-    int petId;
-    int therapyId;
+    Integer petId;
+    Integer therapyId;
     
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -12,9 +12,9 @@
     @Id
     @Column(name = "id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name = "id_food", nullable = false)
-    private int foodId;
+    private Integer foodId;
 
     @Column(name = "quantity_a_day", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java	(revision d5468680aaae5b18f5bf54e6a4618c03b03c23b0)
@@ -8,6 +8,6 @@
 public class PetPreferablyEatsFoodId implements Serializable {
 
-    private int petId;
-    private int foodId;
+    private Integer petId;
+    private Integer foodId;
 
 }
